###
### This file was automatically generated
###

from archinfo.arch import register_arch, Endness, Register

from .common import ArchPcode


class ArchPcode_sparc_BE_32_default(ArchPcode):
    name = 'sparc:BE:32:default'
    pcode_arch = 'sparc:BE:32:default'
    description = 'Sparc V9 32-bit'
    bits = 32
    ip_offset = 0x1000
    sp_offset = 0x38
    bp_offset = sp_offset
    instruction_endness = Endness.BE
    register_list = [
        Register('g0_1', 8, 0x0),
        Register('g0', 4, 0x0),
        Register('g1', 4, 0x4),
        Register('g2_3', 8, 0x8),
        Register('g2', 4, 0x8),
        Register('g3', 4, 0xc),
        Register('g4_5', 8, 0x10),
        Register('g4', 4, 0x10),
        Register('g5', 4, 0x14),
        Register('g6_7', 8, 0x18),
        Register('g6', 4, 0x18),
        Register('g7', 4, 0x1c),
        Register('o0_1', 8, 0x20),
        Register('o0', 4, 0x20),
        Register('o1', 4, 0x24),
        Register('o2_3', 8, 0x28),
        Register('o2', 4, 0x28),
        Register('o3', 4, 0x2c),
        Register('o4_5', 8, 0x30),
        Register('o4', 4, 0x30),
        Register('o5', 4, 0x34),
        Register('sp_7', 8, 0x38),
        Register('sp', 4, 0x38),
        Register('o7', 4, 0x3c),
        Register('l0_1', 8, 0x40),
        Register('l0', 4, 0x40),
        Register('l1', 4, 0x44),
        Register('l2_3', 8, 0x48),
        Register('l2', 4, 0x48),
        Register('l3', 4, 0x4c),
        Register('l4_5', 8, 0x50),
        Register('l4', 4, 0x50),
        Register('l5', 4, 0x54),
        Register('l6_7', 8, 0x58),
        Register('l6', 4, 0x58),
        Register('l7', 4, 0x5c),
        Register('i0_1', 8, 0x60),
        Register('i0', 4, 0x60),
        Register('i1', 4, 0x64),
        Register('i2_3', 8, 0x68),
        Register('i2', 4, 0x68),
        Register('i3', 4, 0x6c),
        Register('i4_5', 8, 0x70),
        Register('i4', 4, 0x70),
        Register('i5', 4, 0x74),
        Register('fp_7', 8, 0x78),
        Register('fp', 4, 0x78),
        Register('i7', 4, 0x7c),
        Register('s_l0', 4, 0x500),
        Register('s_l1', 4, 0x504),
        Register('s_l2', 4, 0x508),
        Register('s_l3', 4, 0x50c),
        Register('s_l4', 4, 0x510),
        Register('s_l5', 4, 0x514),
        Register('s_l6', 4, 0x518),
        Register('s_l7', 4, 0x51c),
        Register('s_i0', 4, 0x520),
        Register('s_i1', 4, 0x524),
        Register('s_i2', 4, 0x528),
        Register('s_i3', 4, 0x52c),
        Register('s_i4', 4, 0x530),
        Register('s_i5', 4, 0x534),
        Register('s_fp', 4, 0x538),
        Register('s_i7', 4, 0x53c),
        Register('pc', 4, 0x1000, alias_names=('ip',)),
        Register('npc', 4, 0x1004),
        Register('asr', 4, 0x1008),
        Register('tick', 4, 0x100c),
        Register('y', 4, 0x1010),
        Register('ccr', 4, 0x1014),
        Register('fprs', 1, 0x4008),
        Register('pcr', 4, 0x101c),
        Register('pic', 4, 0x1020),
        Register('gsr', 4, 0x1024),
        Register('softint_set', 4, 0x1028),
        Register('softint_clr', 4, 0x102c),
        Register('softint', 4, 0x1030),
        Register('tick_cmpr', 4, 0x1034),
        Register('stick', 4, 0x1038),
        Register('stick_cmpr', 4, 0x103c),
        Register('asr7', 4, 0x1100),
        Register('asr8', 4, 0x1104),
        Register('asr9', 4, 0x1108),
        Register('asr10', 4, 0x110c),
        Register('asr11', 4, 0x1110),
        Register('asr12', 4, 0x1114),
        Register('asr13', 4, 0x1118),
        Register('asr14', 4, 0x111c),
        Register('asr15', 4, 0x1120),
        Register('asr16', 4, 0x1124),
        Register('asr17', 4, 0x1128),
        Register('asr18', 4, 0x112c),
        Register('asr19', 4, 0x1130),
        Register('asr20', 4, 0x1134),
        Register('asr21', 4, 0x1138),
        Register('asr22', 4, 0x113c),
        Register('asr23', 4, 0x1140),
        Register('asr24', 4, 0x1144),
        Register('asr25', 4, 0x1148),
        Register('asr26', 4, 0x114c),
        Register('asr27', 4, 0x1150),
        Register('asr28', 4, 0x1154),
        Register('asr29', 4, 0x1158),
        Register('asr30', 4, 0x115c),
        Register('asr31', 4, 0x1160),
        Register('fq0', 16, 0x2000),
        Register('fd0', 8, 0x2000),
        Register('fs0', 4, 0x2000),
        Register('fs1', 4, 0x2004),
        Register('fd2', 8, 0x2008),
        Register('fs2', 4, 0x2008),
        Register('fs3', 4, 0x200c),
        Register('fq4', 16, 0x2010),
        Register('fd4', 8, 0x2010),
        Register('fs4', 4, 0x2010),
        Register('fs5', 4, 0x2014),
        Register('fd6', 8, 0x2018),
        Register('fs6', 4, 0x2018),
        Register('fs7', 4, 0x201c),
        Register('fq8', 16, 0x2020),
        Register('fd8', 8, 0x2020),
        Register('fs8', 4, 0x2020),
        Register('fs9', 4, 0x2024),
        Register('fd10', 8, 0x2028),
        Register('fs10', 4, 0x2028),
        Register('fs11', 4, 0x202c),
        Register('fq12', 16, 0x2030),
        Register('fd12', 8, 0x2030),
        Register('fs12', 4, 0x2030),
        Register('fs13', 4, 0x2034),
        Register('fd14', 8, 0x2038),
        Register('fs14', 4, 0x2038),
        Register('fs15', 4, 0x203c),
        Register('fq16', 16, 0x2040),
        Register('fd16', 8, 0x2040),
        Register('fs16', 4, 0x2040),
        Register('fs17', 4, 0x2044),
        Register('fd18', 8, 0x2048),
        Register('fs18', 4, 0x2048),
        Register('fs19', 4, 0x204c),
        Register('fq20', 16, 0x2050),
        Register('fd20', 8, 0x2050),
        Register('fs20', 4, 0x2050),
        Register('fs21', 4, 0x2054),
        Register('fd22', 8, 0x2058),
        Register('fs22', 4, 0x2058),
        Register('fs23', 4, 0x205c),
        Register('fq24', 16, 0x2060),
        Register('fd24', 8, 0x2060),
        Register('fs24', 4, 0x2060),
        Register('fs25', 4, 0x2064),
        Register('fd26', 8, 0x2068),
        Register('fs26', 4, 0x2068),
        Register('fs27', 4, 0x206c),
        Register('fq28', 16, 0x2070),
        Register('fd28', 8, 0x2070),
        Register('fs28', 4, 0x2070),
        Register('fs29', 4, 0x2074),
        Register('fd30', 8, 0x2078),
        Register('fs30', 4, 0x2078),
        Register('fs31', 4, 0x207c),
        Register('fq32', 16, 0x2080),
        Register('fd32', 8, 0x2080),
        Register('fd34', 8, 0x2088),
        Register('fq36', 16, 0x2090),
        Register('fd36', 8, 0x2090),
        Register('fd38', 8, 0x2098),
        Register('fq40', 16, 0x20a0),
        Register('fd40', 8, 0x20a0),
        Register('fd42', 8, 0x20a8),
        Register('fq44', 16, 0x20b0),
        Register('fd44', 8, 0x20b0),
        Register('fd46', 8, 0x20b8),
        Register('fq48', 16, 0x20c0),
        Register('fd48', 8, 0x20c0),
        Register('fd50', 8, 0x20c8),
        Register('fq52', 16, 0x20d0),
        Register('fd52', 8, 0x20d0),
        Register('fd54', 8, 0x20d8),
        Register('fq56', 16, 0x20e0),
        Register('fd56', 8, 0x20e0),
        Register('fd58', 8, 0x20e8),
        Register('fq60', 16, 0x20f0),
        Register('fd60', 8, 0x20f0),
        Register('fd62', 8, 0x20f8),
        Register('x_nf', 1, 0x3000),
        Register('x_zf', 1, 0x3001),
        Register('x_vf', 1, 0x3002),
        Register('x_cf', 1, 0x3003),
        Register('i_nf', 1, 0x3004),
        Register('i_zf', 1, 0x3005),
        Register('i_vf', 1, 0x3006),
        Register('i_cf', 1, 0x3007),
        Register('asiext', 4, 0x4000),
        Register('asi', 1, 0x4000),
        Register('fprsext', 4, 0x4004),
        Register('tpc1', 4, 0x5000),
        Register('fsr', 2, 0x5000),
        Register('fcc0', 1, 0x5002),
        Register('fcc1', 1, 0x5003),
        Register('tpc2', 4, 0x5004),
        Register('fcc2', 1, 0x5004),
        Register('fcc3', 1, 0x5005),
        Register('tpc3', 4, 0x5008),
        Register('tpc4', 4, 0x500c),
        Register('tnpc1', 4, 0x5010),
        Register('didrestore', 1, 0x5010),
        Register('tnpc2', 4, 0x5014),
        Register('tnpc3', 4, 0x5018),
        Register('tnpc4', 4, 0x501c),
        Register('tstate1', 4, 0x5020),
        Register('decompile_mode', 1, 0x5020),
        Register('tstate2', 4, 0x5024),
        Register('tstate3', 4, 0x5028),
        Register('tstate4', 4, 0x502c),
        Register('tt1', 4, 0x5030),
        Register('tt2', 4, 0x5034),
        Register('tt3', 4, 0x5038),
        Register('tt4', 4, 0x503c),
        Register('tck', 4, 0x5040),
        Register('tba', 4, 0x5044),
        Register('pstate', 4, 0x5048),
        Register('tl', 4, 0x504c),
        Register('pil', 4, 0x5050),
        Register('cwp', 4, 0x5054),
        Register('cansave', 4, 0x5058),
        Register('canrestore', 4, 0x505c),
        Register('cleanwin', 4, 0x5060),
        Register('otherwin', 4, 0x5064),
        Register('wstate', 4, 0x5068),
        Register('fq', 4, 0x506c),
        Register('ver', 4, 0x5070),
        Register('gl', 4, 0x5074),
        Register('hpstate1', 4, 0x6000),
        Register('hpstate2', 4, 0x6004),
        Register('hpstate3', 4, 0x6008),
        Register('hpstate4', 4, 0x600c),
        Register('htstate1', 4, 0x6010),
        Register('htstate2', 4, 0x6014),
        Register('htstate3', 4, 0x6018),
        Register('htstate4', 4, 0x601c),
        Register('resv2_1', 4, 0x6020),
        Register('resv2_2', 4, 0x6024),
        Register('resv2_3', 4, 0x6028),
        Register('resv2_4', 4, 0x602c),
        Register('hintp1', 4, 0x6030),
        Register('hintp2', 4, 0x6034),
        Register('hintp3', 4, 0x6038),
        Register('hintp4', 4, 0x603c),
        Register('resv4_1', 4, 0x6040),
        Register('resv4_2', 4, 0x6044),
        Register('resv4_3', 4, 0x6048),
        Register('resv4_4', 4, 0x604c),
        Register('htba1', 4, 0x6050),
        Register('htba2', 4, 0x6054),
        Register('htba3', 4, 0x6058),
        Register('htba4', 4, 0x605c),
        Register('hver1', 4, 0x6060),
        Register('hver2', 4, 0x6064),
        Register('hver3', 4, 0x6068),
        Register('hver4', 4, 0x606c),
        Register('resv30_1', 4, 0x6070),
        Register('resv30_2', 4, 0x6074),
        Register('resv30_3', 4, 0x6078),
        Register('resv30_4', 4, 0x607c),
        Register('hstick_cmpr1', 4, 0x6080),
        Register('hstick_cmpr2', 4, 0x6084),
        Register('hstick_cmpr3', 4, 0x6088),
        Register('hstick_cmpr4', 4, 0x608c),
        Register('w010', 4, 0x7000),
        Register('w011', 4, 0x7004),
        Register('w012', 4, 0x7008),
        Register('w013', 4, 0x700c),
        Register('w014', 4, 0x7010),
        Register('w015', 4, 0x7014),
        Register('w016', 4, 0x7018),
        Register('w017', 4, 0x701c),
        Register('w020', 4, 0x7020),
        Register('w021', 4, 0x7024),
        Register('w022', 4, 0x7028),
        Register('w023', 4, 0x702c),
        Register('w024', 4, 0x7030),
        Register('w025', 4, 0x7034),
        Register('w026', 4, 0x7038),
        Register('w027', 4, 0x703c),
        Register('w030', 4, 0x7040),
        Register('w031', 4, 0x7044),
        Register('w032', 4, 0x7048),
        Register('w033', 4, 0x704c),
        Register('w034', 4, 0x7050),
        Register('w035', 4, 0x7054),
        Register('w036', 4, 0x7058),
        Register('w037', 4, 0x705c),
        Register('w110', 4, 0x7060),
        Register('w111', 4, 0x7064),
        Register('w112', 4, 0x7068),
        Register('w113', 4, 0x706c),
        Register('w114', 4, 0x7070),
        Register('w115', 4, 0x7074),
        Register('w116', 4, 0x7078),
        Register('w117', 4, 0x707c),
        Register('w120', 4, 0x7080),
        Register('w121', 4, 0x7084),
        Register('w122', 4, 0x7088),
        Register('w123', 4, 0x708c),
        Register('w124', 4, 0x7090),
        Register('w125', 4, 0x7094),
        Register('w126', 4, 0x7098),
        Register('w127', 4, 0x709c),
        Register('w130', 4, 0x70a0),
        Register('w131', 4, 0x70a4),
        Register('w132', 4, 0x70a8),
        Register('w133', 4, 0x70ac),
        Register('w134', 4, 0x70b0),
        Register('w135', 4, 0x70b4),
        Register('w136', 4, 0x70b8),
        Register('w137', 4, 0x70bc),
        Register('w210', 4, 0x70c0),
        Register('w211', 4, 0x70c4),
        Register('w212', 4, 0x70c8),
        Register('w213', 4, 0x70cc),
        Register('w214', 4, 0x70d0),
        Register('w215', 4, 0x70d4),
        Register('w216', 4, 0x70d8),
        Register('w217', 4, 0x70dc),
        Register('w220', 4, 0x70e0),
        Register('w221', 4, 0x70e4),
        Register('w222', 4, 0x70e8),
        Register('w223', 4, 0x70ec),
        Register('w224', 4, 0x70f0),
        Register('w225', 4, 0x70f4),
        Register('w226', 4, 0x70f8),
        Register('w227', 4, 0x70fc),
        Register('w230', 4, 0x7100),
        Register('w231', 4, 0x7104),
        Register('w232', 4, 0x7108),
        Register('w233', 4, 0x710c),
        Register('w234', 4, 0x7110),
        Register('w235', 4, 0x7114),
        Register('w236', 4, 0x7118),
        Register('w237', 4, 0x711c),
        Register('w310', 4, 0x7120),
        Register('w311', 4, 0x7124),
        Register('w312', 4, 0x7128),
        Register('w313', 4, 0x712c),
        Register('w314', 4, 0x7130),
        Register('w315', 4, 0x7134),
        Register('w316', 4, 0x7138),
        Register('w317', 4, 0x713c),
        Register('w320', 4, 0x7140),
        Register('w321', 4, 0x7144),
        Register('w322', 4, 0x7148),
        Register('w323', 4, 0x714c),
        Register('w324', 4, 0x7150),
        Register('w325', 4, 0x7154),
        Register('w326', 4, 0x7158),
        Register('w327', 4, 0x715c),
        Register('w330', 4, 0x7160),
        Register('w331', 4, 0x7164),
        Register('w332', 4, 0x7168),
        Register('w333', 4, 0x716c),
        Register('w334', 4, 0x7170),
        Register('w335', 4, 0x7174),
        Register('w336', 4, 0x7178),
        Register('w337', 4, 0x717c),
        Register('w410', 4, 0x7180),
        Register('w411', 4, 0x7184),
        Register('w412', 4, 0x7188),
        Register('w413', 4, 0x718c),
        Register('w414', 4, 0x7190),
        Register('w415', 4, 0x7194),
        Register('w416', 4, 0x7198),
        Register('w417', 4, 0x719c),
        Register('w420', 4, 0x71a0),
        Register('w421', 4, 0x71a4),
        Register('w422', 4, 0x71a8),
        Register('w423', 4, 0x71ac),
        Register('w424', 4, 0x71b0),
        Register('w425', 4, 0x71b4),
        Register('w426', 4, 0x71b8),
        Register('w427', 4, 0x71bc),
        Register('w430', 4, 0x71c0),
        Register('w431', 4, 0x71c4),
        Register('w432', 4, 0x71c8),
        Register('w433', 4, 0x71cc),
        Register('w434', 4, 0x71d0),
        Register('w435', 4, 0x71d4),
        Register('w436', 4, 0x71d8),
        Register('w437', 4, 0x71dc),
        Register('w510', 4, 0x71e0),
        Register('w511', 4, 0x71e4),
        Register('w512', 4, 0x71e8),
        Register('w513', 4, 0x71ec),
        Register('w514', 4, 0x71f0),
        Register('w515', 4, 0x71f4),
        Register('w516', 4, 0x71f8),
        Register('w517', 4, 0x71fc),
        Register('w520', 4, 0x7200),
        Register('w521', 4, 0x7204),
        Register('w522', 4, 0x7208),
        Register('w523', 4, 0x720c),
        Register('w524', 4, 0x7210),
        Register('w525', 4, 0x7214),
        Register('w526', 4, 0x7218),
        Register('w527', 4, 0x721c),
        Register('w530', 4, 0x7220),
        Register('w531', 4, 0x7224),
        Register('w532', 4, 0x7228),
        Register('w533', 4, 0x722c),
        Register('w534', 4, 0x7230),
        Register('w535', 4, 0x7234),
        Register('w536', 4, 0x7238),
        Register('w537', 4, 0x723c),
        Register('w610', 4, 0x7240),
        Register('w611', 4, 0x7244),
        Register('w612', 4, 0x7248),
        Register('w613', 4, 0x724c),
        Register('w614', 4, 0x7250),
        Register('w615', 4, 0x7254),
        Register('w616', 4, 0x7258),
        Register('w617', 4, 0x725c),
        Register('w620', 4, 0x7260),
        Register('w621', 4, 0x7264),
        Register('w622', 4, 0x7268),
        Register('w623', 4, 0x726c),
        Register('w624', 4, 0x7270),
        Register('w625', 4, 0x7274),
        Register('w626', 4, 0x7278),
        Register('w627', 4, 0x727c),
        Register('w630', 4, 0x7280),
        Register('w631', 4, 0x7284),
        Register('w632', 4, 0x7288),
        Register('w633', 4, 0x728c),
        Register('w634', 4, 0x7290),
        Register('w635', 4, 0x7294),
        Register('w636', 4, 0x7298),
        Register('w637', 4, 0x729c),
        Register('w710', 4, 0x72a0),
        Register('w711', 4, 0x72a4),
        Register('w712', 4, 0x72a8),
        Register('w713', 4, 0x72ac),
        Register('w714', 4, 0x72b0),
        Register('w715', 4, 0x72b4),
        Register('w716', 4, 0x72b8),
        Register('w717', 4, 0x72bc),
        Register('w720', 4, 0x72c0),
        Register('w721', 4, 0x72c4),
        Register('w722', 4, 0x72c8),
        Register('w723', 4, 0x72cc),
        Register('w724', 4, 0x72d0),
        Register('w725', 4, 0x72d4),
        Register('w726', 4, 0x72d8),
        Register('w727', 4, 0x72dc),
        Register('w730', 4, 0x72e0),
        Register('w731', 4, 0x72e4),
        Register('w732', 4, 0x72e8),
        Register('w733', 4, 0x72ec),
        Register('w734', 4, 0x72f0),
        Register('w735', 4, 0x72f4),
        Register('w736', 4, 0x72f8),
        Register('w737', 4, 0x72fc)
    ]

register_arch(['sparc:be:32:default'], 32, Endness.BE, ArchPcode_sparc_BE_32_default)
